Skip to main content
GET
/
backend
/
chat
/
{organization_id}
curl --location 'https://api-v2.opencopilot.so/backend/chat/your-organization-id' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json'
[
  {
    "id": "5003584a-be1f-4754-a0c7-703f48589e03",
    "copilot_id": "4ef0737b-976a-450e-8188-4f1f5a1a1b0b",
    "created_at": "2024-06-03T11:57:48.000Z",
    "channel": "web",
    "summary": "The customer is dissatisfied with the product and is looking for a refund.",
    "classification": "REFUND_REQUEST",
    "assignee_id": "copilot",
    "handoff": true,
    "handoff_sentiment": "neutral",
    "status": "OPEN",
    "meta": null,
    "action_called": 1,
    "total_messages": 9
  }
]
This endpoint allows you to retrieve all conversations for a specific Organization ID. The response includes the conversation id, sentiment, and reason for handoff (if applicable).

Authentication

Authorization
string
required
Bearer token for authentication

Path Parameters

organization_id
string
required
The unique identifier of the organization

Query Parameters

page
integer
default:"1"
The page number to retrieve
limit
integer
default:"10"
The number of items to retrieve per page
sortBy
string
default:"created_at"
The field to sort by
sortDirection
string
default:"ASC"
The direction to sort (ASC or DESC)

Response

id
string
The unique identifier for the chat conversation
copilot_id
string
The unique identifier for the organization (copilot) associated with the conversation
created_at
string
The date and time the conversation was created
channel
string
The channel on which the conversation was created (whatsapp, email, web, or phone)
summary
string
A summary of the conversation (only available for conversations marked as handoff)
classification
string
The classification of the conversation (based on the user’s provided categories and tags)
assignee_id
string
The ID of the assignee for the conversation
handoff
boolean
Indicates whether the conversation was handed off to a human agent
handoff_sentiment
string
The sentiment of the conversation at the time of handoff
status
string
The status of the conversation (open, resolved, or closed)
meta
object
Metadata about the conversation (such as title, recording URL, and phone number)
action_called
integer
The number of actions called during the conversation
total_messages
integer
The total number of messages in the conversation
curl --location 'https://api-v2.opencopilot.so/backend/chat/your-organization-id' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json'
[
  {
    "id": "5003584a-be1f-4754-a0c7-703f48589e03",
    "copilot_id": "4ef0737b-976a-450e-8188-4f1f5a1a1b0b",
    "created_at": "2024-06-03T11:57:48.000Z",
    "channel": "web",
    "summary": "The customer is dissatisfied with the product and is looking for a refund.",
    "classification": "REFUND_REQUEST",
    "assignee_id": "copilot",
    "handoff": true,
    "handoff_sentiment": "neutral",
    "status": "OPEN",
    "meta": null,
    "action_called": 1,
    "total_messages": 9
  }
]